* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, sans-serif;
}

body {
    background: #111;
    color: white;
}

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 8%;
    background: #000;
}

.logo {
    color: #ff4d00;
}

nav ul {
    display: flex;
    list-style: none;
}

nav ul li {
    margin-left: 25px;
}

nav ul li a {
    color: white;
    text-decoration: none;
    transition: 0.3s;
}

nav ul li a:hover {
    color: #ff4d00;
}

/* Dropdown */
.dropdown {
    position: relative;
}

.dropdown-menu {
    position: absolute;
    top: 100%;
    left: 0;

    background: #1c1c1c;
    min-width: 220px;

    list-style: none;
    display: none;

    border-radius: 8px;
    overflow: hidden;

    box-shadow: 0 10px 20px rgba(0,0,0,.3);
}

.dropdown-menu li {
    margin: 0;
}

.dropdown-menu li a {
    display: block;
    padding: 12px 20px;
    color: white;
    text-decoration: none;
}

.dropdown-menu li a:hover {
    background: #ff4d00;
    color: white;
}

.dropdown:hover .dropdown-menu {
    display: block;
}


.dropdown > a i {
    margin-left: 6px;
    transition: transform 0.3s ease;
    font-size: 12px;
}

.dropdown:hover > a i {
    transform: rotate(180deg);
}


.about-hero {
    height: 76vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    background: linear-gradient(rgba(0, 0, 0, 0),
            rgba(0, 0, 0, .6)),
        url("Does Gym Make You Taller_.jpg");
    width: 100%;
    background-size: cover;

}

.about-hero h1 {
    font-size: 4rem;
}

.about {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 50px;
    padding: 80px 10%;
    flex-wrap: wrap;
}

.about-text {
    flex: 1;
    min-width: 300px;
}

.about-text h2 {
    color: #ff4d00;
    margin-bottom: 20px;
}

.about-text p {
    line-height: 1.8;
    margin-bottom: 15px;
}

.about-image {
    flex: 1;
    min-width: 300px;
}

.about-image img {
    width: 100%;
    border-radius: 15px;
}

.features {
    padding: 80px 10%;
    text-align: center;
}

.features h2 {
    color: #ff4d00;
    margin-bottom: 40px;
}

.feature-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 25px;
}

.card {
    background: #1c1c1c;
    padding: 30px;
    border-radius: 15px;
    transition: 0.4s;
}

.card:hover {
    transform: translateY(-10px);
    box-shadow: 0 10px 25px rgba(255, 77, 0, 0.3);
}

.mission {
    text-align: center;
    padding: 80px 10%;
}

.mission h2 {
    color: #ff4d00;
    margin-bottom: 20px;
}

.mission p {
    max-width: 700px;
    margin: auto;
    line-height: 1.8;
}

footer {
    text-align: center;
    padding: 20px;
    background: #000;
}